%define aurox_ver 9.3
%define rel 1


%define version        1.0.2
%define rel            2
%define desktop_vendor aurox
# menu level: Base or Extra
%define menu_level Base

#%define prefix         /usr

Summary: simple program for plotting 2-dimensional mathematical functions
Name: geg
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Education
Source: ftp://metalab.unc.edu/pub/Linux/science/visualization/plotting/geg-%{version}.tar.gz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.infolaunch.com/~daveb
BuildRequires: desktop-file-utils

%description
geg, a GTK+ Equation Grapher.
geg is a handy little program for plotting 2-dimensional 
mathematical functions,  eg f(x) = sin(x) + 2,  and more
complicated functions.

%prep
%setup

%build
%configure

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -v %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

cat << EOF > %{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=GTK+ Equation Grapher
Name[pl]=Rysowanie wykresów
Comment=GTK+ Equation Grapher
Comment[pl]=Geg (GTK+ Equation Grapher)
Icon=%{name}.png
Exec=%{name}
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Aurox-%{menu_level}          \
  --add-category Application                    \
  --add-category Education                      \
  %{name}.desktop


%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/geg.png

%doc AUTHORS COPYING ChangeLog NEWS README

%changelog
* Fri Jan 23 2004 Aurox Team <aurox@aurox.org> 0:1.0.2-9.3.aur.2
- group fixed
- rebuild

* Wed Apr  2 2003 Robert Glowczynski <robertg@software.com.pl>
- modernized menus and spec file
- package from K12LTSP
- rebuilt for Aurox 9
